#ifndef OMOBIDISPLAYBACKEND_H
#define OMOBIDISPLAYBACKEND_H

#include <QObject>
#include "qbluetoothleuart.h"

class OmobiDisplayBackend : public QObject
{
    Q_OBJECT
public:
    explicit OmobiDisplayBackend(QObject *parent = nullptr);

    void startScanning();

private:
    QBluetoothLeUart *ble;

private slots:
    void handleBluetoothStateChange(QBluetoothLeUart::BluetoothLeUartState state);
    void handleFoundNewDevice(BluetoothDeviceInfo* device);
    void DataHandler(const QString &s);

signals:

};

#endif // OMOBIDISPLAYBACKEND_H
